Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie

Name

### time()

Examples

    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      background(255);
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
      // Draws a line on the screen
      // when the movie half-finished
      float md = myMovie.duration();
      float mt = myMovie.time();
      if(mt > md/2.0) {
        line(0, 0, width, height);
      }
    }

Description | Returns the location of the playback head in seconds. For example, if the movie has been playing for 4 seconds, the number 4.0 will be returned.

Syntax

    mov.time()

Parameters

mov | any variable of type Movie

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST